#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sys
%define		pnam	Hostname-Long
Summary:	Sys::Hostname::Long - try every conceivable way to get full hostname
Summary(pl.UTF-8):	Sys::Hostname::Long - uzyskiwanie pełnej nazwy hosta
Name:		perl-Sys-Hostname-Long
Version:	1.5
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a7d7a36fa6905bded4f6b7da94e37532
URL:		http://search.cpan.org/dist/Sys-Hostname-Long/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sys::Hostname::Long - Try every conceivable way to get full hostname.

%description -l pl.UTF-8
Sys::Hostname::Long próbuje wszelkich możliwych sposobów żeby uzyskać
pełną nazwę hosta.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Sys/Hostname
%{perl_vendorlib}/Sys/Hostname/Long.pm
%{_mandir}/man3/*
%changelog
* Wed Nov 21 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sys-Hostname-Long.git;a=log;h=master

* Wed Nov 21 2018 Adam Gołębiowski <adamg@pld-linux.org> 02cd3d6
- updated to 1.5

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> fcb2801
- x32 rebuild
- release 3 (by relup.sh)

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b78fa63
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> f9fbeb3
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Mar 13 2007 Jakub Bogusz <qboosh@pld-linux.org> 2bcf027
- generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 474f564
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 446de37
- converted to UTF-8

* Wed Nov 23 2005 Paweł Cyranek <pawel.cyranek@gmail.com> b0bd29d
- updated to 1.4

* Mon Oct 17 2005 hawk <hawk@pld-linux.org> c9027c1
- release 4 (3 will go to Ra)

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 1e7eb2c
- missing dir; rel 2

* Thu Jun 16 2005 Jakub Bogusz <qboosh@pld-linux.org> 7398e9c
- copy-pasto

* Tue Jun 14 2005 Jan Rękorajski <baggins@pld-linux.org> ddcb59c
- initial revision

